
Foreman - Bug #33417

The login page exposes version of the foreman

09/06/2021 08:14 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Anna Vítová   

Category: Security   

Target version:    

Difficulty:  Fixed in Releases: 3.2.0

Triaged: Yes Found in Releases:  

Bugzilla link: 2000613 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8775

  

Description

The login page displays the version of the Foreman. That simplifies the search for the unpatched - vulnerable systems in the

organization by unauthenticated user.

Associated revisions

Revision 35076bff - 12/14/2021 07:13 AM - Anna Vitova 

Fixes #33417 - Hide version from the Login page

Refs #33417 - revert snapshot changes

those snapshots are not relevant to this PR

History

#1 - 09/13/2021 06:45 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8775 added

#2 - 09/24/2021 09:44 AM - Evgeni Golov

So does the `status` enpoint (don't send 'Accept: text/html' or you'll get a bad request):

# curl https://foreman.example.com/status/

{"result":"ok","status":"ok","version":"3.0.0","db_duration_ms":"2"}

#3 - 12/14/2021 07:13 AM - The Foreman Bot

- Fixed in Releases 3.2.0 added

#4 - 12/14/2021 08:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|35076bff03e78ab26742b3b133d231ca29445101.
